# TdApi.CancelDownloadFile (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: CancelDownloadFile

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CancelDownloadFile

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.CancelDownloadFile

Enclosing class:
  TdApi

public static final class TdApi.CancelDownloadFile extends TdApi.Function<TdApi.Ok>
Stops the downloading of a file. If a file has already been downloaded, does nothing. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`fileId`
Identifier of a file to stop downloading.
`boolean`
`onlyIfPending`
Pass true to stop downloading only if it hasn't been started, i.e.

## Constructor Summary

Constructors
Constructor
Description
`CancelDownloadFile()`
Stops the downloading of a file.
`CancelDownloadFile(int fileId, boolean onlyIfPending)`
Stops the downloading of a file.
`CancelDownloadFile(DataInput input)`
Stops the downloading of a file.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileId

public int fileId
Identifier of a file to stop downloading.

### onlyIfPending

public boolean onlyIfPending
Pass true to stop downloading only if it hasn't been started, i.e. request hasn't been sent to server.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### CancelDownloadFile

public CancelDownloadFile()
Stops the downloading of a file. If a file has already been downloaded, does nothing. Returns `Ok`

### CancelDownloadFile

public CancelDownloadFile(int fileId, boolean onlyIfPending)
Stops the downloading of a file. If a file has already been downloaded, does nothing. Returns `Ok`

Parameters:
  `fileId` - int Identifier of a file to stop downloading.
  `onlyIfPending` - boolean Pass true to stop downloading only if it hasn't been started, i.e. request hasn't been sent to server.

### CancelDownloadFile

public CancelDownloadFile(DataInput input) throws IOException
Stops the downloading of a file. If a file has already been downloaded, does nothing. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`